Message to Samsung Support: Wake up!

Started Oct 4, 2011 | Discussions thread
Shop cameras & lenses ▾
ForumParentFirstPrevious
Flat view
Coldamus Senior Member • Posts: 2,281
Message to Samsung Support: Wake up!

In this post, I am referring specifically to firmware upgrades provided for the NX5, NX10, NX11 and NX100 in the support section of Samsung web sites.

The firmware upgrades themselves are well done and much appreciated. However, there is a serious problem. I'm not sure whether this applies to the NX11 and NX100 but at least in the case of the NX5 and NX10, one cannot upgrade from the original firmware or from version 1.10 directly to the latest version, 1.30. Instead one must upgrade first to 1.15. From there, it is possible to skip 1.25 and go directly to 1.30. The problem is: YOU NO LONGER HAVE 1.15 AVAILABLE ON YOUR WEB SITE.

This effectively prevents anyone from upgrading to versions 1.25 or 1.30.

It is very frustrating and annoying for your customers and must be costing your support people a lot of wasted time. Could someone please fix it.

ForumParentFirstPrevious
Flat view
ForumParentFirstPrevious
Keyboard shortcuts:
FForum PPrevious NNext WNext unread UUpvote SSubscribe RReply QQuote BBookmark MMy threads
Color scheme? Blue / Yellow